<template>
    <div id="blog-detail">
        <h2>Blog Detail</h2>
        <h3>{{ blog.title }}</h3>
        <article>{{ blog.body }}</article>
    </div>
</template>

<script>
    export default {
        data() {
            return {
                // Call id from url router
                id: this.$route.params.id,
                blog: {}
            }
        },
         // Create method
        created() {
            this.$http.get('http://jsonplaceholder.typicode.com/posts/' + this.id).then(function(data){
            this.blog = data.body;
        });
        }
    }
   
</script>


<style scoped>

</style>